Bug 454684 - foomatic-configure gives warning message when using -P or -Q options and produces no output
foomatic-configure gives warning message when using -P or -Q options and prod...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: foomatic (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 14:15 EDT by John McDonald
Modified: 2009-09-02 03:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John McDonald 2008-07-09 14:15:29 EDT
Description of problem:

When executing 'foomatic-configure -r -P -q', which should produce a perl hash
of printer information, I receive the following error message:

WARNING: No tool for downloading web content found, please install either
"wget" or "curl"! The result you got may be incorrect!
Cannot read /etc/foomatic/direct directory!

The same message appears when trying 'foomatic-configure -r -Q -q' (XML output).

No perl hash or xml data is returned after receiving the warning message.
To fix this functionality, I created /etc/foomatic/defaultspooler with
'cups' on the first line. After creating the defaultspooler file I was
able to view both the perl hash (-P) and xml data (-Q). This default file
should probably be created when foomatic-3.0.2-38.1.el5 is installed.

rpms installed on the system:

foomatic-3.0.2-38.1.el5
wget-1.10.2-7.el5
curl-7.15.5-2.el5
curl-devel-7.15.5-2.el5

Version-Release number of selected component (if applicable):

foomatic-3.0.2-38.1.el5

How reproducible:
Very..

Steps to Reproduce:
1.  Make sure that file /etc/foomatic/defaultspooler DOESN'T exist.  It
    shouldn't exist after foomatic-3.0.2-38.1.el5 is installed.
2.  Execute 'foomatic-configure -r -Q -q' or 'foomatic-configure -r -P -q'
    and observe the warning message:

  WARNING: No tool for downloading web content found, please install either
"wget" or "curl"! The result you got may be incorrect!
Cannot read /etc/foomatic/direct directory!

No XML or Perl hash returned

3.  Create /etc/foomatic/defaultspooler with 'cups' on the first line and the
    warning message will NOT appear and you should recieve XML or Perl hash.
  
Actual results:


Expected results:


Additional info:
This problem was also reported here:

http://bugs.centos.org/view.php?id=2970
Comment 6 errata-xmlrpc 2009-09-02 03:57:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1240.html

Note You need to log in before you can comment on or make changes to this bug.